#include "main.h"

int main(int argc, char *argv[]) {

    if (wiringPiSetup() == -1) {
        printf("WiringPi setup failed!\n");
        return 1;
    }

    if (!INA226_begin(sda_pin, scl_pin)) {
        printf("INA226 初始化失败！\n");
        return 2;
    }

    if(Device_File_Init()!=0) {
        printf("设备文件读取初始化失败！\n");
        return 3;
    }
    
    if(request_date() != 0){
        printf("拉取接口初始化失败\n");
        return 4;
    }
    printf("识别初始化成功\n");
    
    system("pkill  chromium");
    // 配置 INA226

    INA226_configure(sda_pin, scl_pin);
    // 校准 INA226
    float rShuntValue = 0.1; // 分流电阻值（单位：欧姆）
    float iMaxExpected = 5; // 最大预期电流（单位：安培）
    INA226_calibrate(sda_pin, scl_pin, rShuntValue, iMaxExpected);

    gStart=time(NULL);//开始时间戳

    ipaddr();//获取ip

    thread_start(AppExit,Mqttbeat,opensh,Mqtt_onnect);//开启线程
    thread_end();

    return EXIT_SUCCESS;
}